This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 439410 - Typo in runuser and su man pages and help messages
Typo in runuser and su man pages and help messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.6
All Linux
medium Severity low
: rc
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks: 450506
  Show dependency treegraph
 
Reported: 2008-03-28 11:53 EDT by Milos Malik
Modified: 2009-05-18 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-03-28 11:53:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
The word "commmand" (with 3 'm' letters) is present in:
- the man page of runuser utility
- the man page of su utility
- the help message of runuser utility
- the help message of su utility

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31.7

How reproducible:
Always


Steps to Reproduce:
1. man runuser
2. man su
3. runuser --help
4. su --help


Actual Results:
4 occurrences of word commmand" (with 3 'm' letters).

Expected Results:
No occurrence of word "commmand" (with 3 'm' letters).

Additional info:
Comment 1 Ondrej Vasik 2008-03-28 14:08:27 EDT
Thanks Milos, good catch. Same problem with RHEL-5. --help issue was fixed by
upstream in version 6.0, man pages (for all localizations) are still broken even
in the HEAD of upstream GIT branch - so they have to be fixed in Fedora too. As
there is plan of new upstream release soon, adding upstream of coreutils to let
him know about the typo still present in su documentation.
Comment 2 Jim Meyering 2008-03-28 15:18:37 EDT
Hi Ondrej,

Thanks for the heads-up, but while there were uses of "commmand" in upstream
git, they were only in NEWS and ChangeLog-2007 (now both fixed).
Comment 3 Ondrej Vasik 2008-03-28 16:58:56 EDT
Jim: Ok, sorry, I was wrong... I thought that .po files are in coreutils GIT
tree too. Those typos are in po files (bg.po cs.po de.po el.po et.po fi.po fr.po
ga.po hu.po it.po ja.po nl.po ru.po sk.po sl.po tr.po uk.po vi.po) ... 
Comment 4 Ondrej Vasik 2008-04-07 16:46:11 EDT
Some runuser man/info commmand typos fixed in rawhide coreutils-6.10-18.fc9 build.
Comment 5 RHEL Product and Program Management 2008-09-17 09:53:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2009-05-18 16:07:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0959.html

Note You need to log in before you can comment on or make changes to this bug.